package structs

type BttvGlobalEmoteData struct {
	Id        string `json:"id"`
	Code      string `json:"code"`
	ImageType string `json:"imageType"`
	Animated  bool   `json:"animated"`
	UserId    string `json:"userId"`
	Width     int    `json:"width"`
	Height    int    `json:"height"`
}

type BttvEmoteData struct {
	Id        string        `json:"id"`
	Code      string        `json:"code"`
	ImageType string        `json:"imageType"`
	Animated  bool          `json:"animated"`
	User      BttvEmoteUser `json:"user"`
}

type BttvEmoteUser struct {
	Id          string `json:"id"`
	Name        string `json:"name"`
	DisplayName string `json:"displayName"`
	ProviderId  string `json:"providerId"`
}

type FfzData struct {
	Room Room           `json:"room"`
	Sets map[string]Set `json:"sets"`
}

type Room struct {
	Id           string `json:"id"`
	Is_group     bool   `json:"is_group"`
	Display_name string `json:"display_name"`
	Set          int    `json:"set"`
}

type Set struct {
	Id        int            `json:"id"`
	Icon      string         `json:"icon"`
	Title     string         `json:"title"`
	Emoticons []FfzEmoteData `json:"emoticons"`
}

type FfzEmoteData struct {
	Id     int               `json:"id"`
	Name   string            `json:"name"`
	Height int               `json:"height"`
	Width  int               `json:"width"`
	Urls   map[string]string `json:"urls"`
}
