package badges

import (
	"github.com/gin-gonic/gin"

	"safetwitch-backend/extractor"
	"safetwitch-backend/extractor/twitch"
)

func Routes(route *gin.Engine) {
	auth := route.Group("/api/badges")

	auth.GET("", func(context *gin.Context) {
		query := context.Query("streamerName")
		if query != "" {
			data, err := twitch.GetStreamerBadges(query)
			if err != nil {
				context.Error(err)
				return
			}

			context.JSON(200, extractor.FormatMessage(data, true))
		} else {
			data, err := twitch.GetTwitchBadges()
			if err != nil {
				context.Error(err)
				return
			}

			context.JSON(200, extractor.FormatMessage(data, true))
		}
	})
}
