package chat

import (
	"github.com/gin-gonic/gin"

	"safetwitch-backend/extractor"
	"safetwitch-backend/extractor/twitch"
)

func Routes(route *gin.Engine) {
	auth := route.Group("/api/chat")

	auth.GET(":streamerName/history", func(context *gin.Context) {
		data, err := twitch.GetChatHistory(context.Param("streamerName"))
		if err != nil {
			context.Error(err)
			return
		}

		context.JSON(200, extractor.FormatMessage(data, true))
	})
}
