package clips

import (
	"safetwitch-backend/extractor"
	"safetwitch-backend/extractor/twitch"

	"github.com/gin-gonic/gin"
)

func Routes(route *gin.Engine) {
	clips := route.Group("/api/clips")

	clips.GET("/cliplink/:slug", func(context *gin.Context) {
		slug := context.Param("slug")
		data, err := twitch.GetClipLink(slug)
		if err != nil {
			context.Error(err)
			return
		}

		context.JSON(200, extractor.FormatMessage(data, true))
	})

	clips.GET("/:slug", func(context *gin.Context) {
		slug := context.Param("slug")
		data, err := twitch.GetClipMetadata(slug)
		if err != nil {
			context.Error(err)
			return
		}

		data.Type = "clip"
		context.JSON(200, extractor.FormatMessage(data, true))
	})
}
