package discover

import (
	"github.com/gin-gonic/gin"

	"safetwitch-backend/extractor"
	"safetwitch-backend/extractor/twitch"
)

func Routes(route *gin.Engine) {
	auth := route.Group("/api/discover")

	auth.GET("", func(context *gin.Context) {
		cursor := context.Query("cursor")
		data, err := twitch.GetDiscoveryPage(50, cursor)
		if err != nil {
			context.Error(err)
			return
		}

		context.JSON(200, extractor.FormatMessage(data, true))
	})

	auth.GET("/:categoryName", func(context *gin.Context) {
		cursor := context.Query("cursor")
		data, err := twitch.GetDiscoveryItem(context.Param("categoryName"), 50, cursor)
		if err != nil {
			context.Error(err)
			return
		}

		context.JSON(200, extractor.FormatMessage(data, true))
	})
}
