package root

import (
	"safetwitch-backend/extractor"
	"safetwitch-backend/extractor/chat"

	"github.com/gin-gonic/gin"
)

func Routes(route *gin.Engine) {
	auth := route.Group("/")

	auth.GET("", func(context *gin.Context) {
		upgradeHeader := context.Request.Header.Get("Upgrade")
		if upgradeHeader == "websocket" {
			chat.ServeWS(context)
		} else {
			context.JSON(200, extractor.FormatMessage("SafeTwitch backend running", true))
		}
	})
}
