package routes

import (
	"safetwitch-backend/routes/api/badges"
	"safetwitch-backend/routes/api/chat"
	"safetwitch-backend/routes/api/clips"
	"safetwitch-backend/routes/api/discover"
	"safetwitch-backend/routes/api/search"
	"safetwitch-backend/routes/api/users"
	"safetwitch-backend/routes/api/vods"
	"safetwitch-backend/routes/proxy"
	"safetwitch-backend/routes/root"

	"github.com/gin-gonic/gin"
)

func SetRoutes(router *gin.Engine) {
	users.Routes(router)
	discover.Routes(router)
	badges.Routes(router)
	search.Routes(router)
	vods.Routes(router)
	chat.Routes(router)
	clips.Routes(router)

	proxy.Routes(router)
	root.Routes(router)
}
